<?php 
//incluir la conexion de base de datos
require "../config/Conexion.php";
class Impuestoslr{


	//implementamos nuestro constructor
public function __construct(){

}

//metodo insertar regiustro
public function insertar($nombre,$descripcion){
	$sql="INSERT INTO impuestosrl (nombre,descripcion,condicion) VALUES ('$nombre','$descripcion','1')";
	return ejecutarConsulta($sql);
}

public function editar($idimpuestosrl,$nombre,$descripcion){
	$sql="UPDATE impuestosrl SET nombre='$nombre',descripcion='$descripcion' 
	WHERE idimpuestosrl='$idimpuestosrl'";
	return ejecutarConsulta($sql);
}
public function desactivar($idimpuestosrl){
	$sql="UPDATE impuestosrl SET condicion='0' WHERE idimpuestosrl='$idimpuestosrl'";
	return ejecutarConsulta($sql);
}
public function activar($idimpuestosrl){
	$sql="UPDATE impuestosrl SET condicion='1' WHERE idimpuestosrl='$idimpuestosrl'";
	return ejecutarConsulta($sql);
}

//metodo para mostrar registros
public function mostrar($idimpuestosrl){
	$sql="SELECT * FROM impuestosrl WHERE idimpuestosrl='$idimpuestosrl'";
	return ejecutarConsultaSimpleFila($sql);
}

//listar registros
public function listar(){
	$sql="SELECT * FROM impuestosrl";
	return ejecutarConsulta($sql);
}
//listar y mostrar en selct
public function select(){
	$sql="SELECT * FROM impuestosrl WHERE condicion=1";
	return ejecutarConsulta($sql);
}
}

 ?>
